# Generated by Django 4.2 on 2023-04-07 10:07

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ("participation", "0006_alter_passage_options_passage_position_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="note",
            name="observer_oral",
            field=models.SmallIntegerField(
                choices=[
                    (-4, -4),
                    (-3, -3),
                    (-2, -2),
                    (-1, -1),
                    (0, 0),
                    (1, 1),
                    (2, 2),
                    (3, 3),
                    (4, 4),
                ],
                default=0,
                verbose_name="observer note",
            ),
        ),
        migrations.AddField(
            model_name="passage",
            name="observer",
            field=models.ForeignKey(
                blank=True,
                default=None,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="participation.participation",
                verbose_name="observer",
            ),
        ),
    ]
